﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TBS1032B: (1 year) VER VISA /9100+Opt250
DATE:                  2018-09-30 16:59:30
AUTHOR:                Fluke
REVISION:              $Revision: 25086 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       158
CONFIGURATION:         Datron 9100 (S2)
=============================================================================
#
#  Procedure Author:
#      PP
#
#  Source(s):
#      TBS1000B and TBS1000B-EDU Series Oscilloscopes
#      Specifications and Performance Verification
#      Technical Reference, PN 077-1025-01, Revision B.*
#      * The tolerances used by this procedure were taken from the published
#      specifications table and is specified below.
#
#  Model(s) Covered:
#      TBS1000B Series
#          TBS1032B, TBS1052B, TBS1072B, TBS1102B, TBS1152B
#		   TBS1202B.
#      TBS1000B-EDU Series
#          TBS1052B-EDU, TBS1072B-EDU, TBS1102B-EDU,
#		   TBS1152B-EDU, TBS1202B-EDU
#
#  Compatibility:
#      MET/CAL 8.0 or later
#
#  Additional Equipment Required:
#      None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9100         60MH                         1Vpp           LS SC S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                                     V

  1.005  IF           NOT(VERSIONCHECK("8.0"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright
  1.009  CALL         Sub High Voltage Safety Warning
  1.010  CALL         Sub Select Failed Test Mode
  1.011  CALL         Sub Select Verification Method (No NTHROW)

  1.012  HEAD         PRELIMINARY INSTRUCTIONS
  1.013  DISP         Ensure a minimum DUT warm-up time of at least
  1.013  DISP         10 minutes has been allowed to elapse, prior
  1.013  DISP         to beginning verification.

  1.014  HEAD         COMMUNICATION SETUP
  1.015  TARGET
  1.016  CALL         Sub Tek TBS1000B USB Remote Interface Connection
  1.017  VISA         *RST

  1.018  HEAD         DUT IDENTIFICATION
  1.019  MATH         @DUT_Model = "TBS 1032B"
  1.020  MATH         @DUT_Manufacturer = "Tektronix"
  1.021  CALL         Sub IEEE-488.2 *IDN? VISA
  1.022  CALL         Sub IEEE-488.2 *IDN? Check Response
  1.023  JMPL         END                          @Abort

  1.024  CALL         Sub Tek TBS1000B/1000B-EDU Specifications

  1.025  HEAD         EQUIPMENT REQUIREMENTS
  1.026  OPBR         -z Do you want to review the list of additional
  1.026  OPBR         equipment and/or accessories required?

  1.027  IF           MEM1
  1.028  CALL         Sub Tek TBS1000B/1000B-EDU VER Required Equipment /9100
  1.029  ENDIF

# NOTE: The execution order of this verification procedure has been optimized
# to minimize operator intervention, while retaining the correct sequence for
# reported test results.  For more information about the method used, refer
# to this application note, available at www.flukecal.com:
# Application Note 6001075: Optimizing Execution Sequence in MET/CAL Gold
# Procedures While Retaining Results Order.

  1.030  CALL         Sub Tek TBS1000B/1000B-EDU Self-Test VISA
  1.031  JMPL         END                          @Abort
  1.032  CALL         Sub Tek TBS1000B/1000B-EDU Sig Path Comp Cal VISA
  1.033  JMPL         END                          @Abort

  1.034  MATH         @Chan = 1
  1.035  CALL         Sub TBS1000B/1000B-EDU (1yr) DCV Meas VISA /9100+Opt250

  1.036  MATH         @Chan = 2
  1.037  CALL         Sub TBS1000B/1000B-EDU (1yr) DCV Meas VISA /9100+Opt250

  1.038  MATH         @Chan = 1
  1.039  CALL         Sub TBS1000B/1000B-EDU (1 yr) BW VISA /9100+Opt250
  1.040  JMPL         TRIG_CH1

  1.041  LABEL        BANDWIDTH_CH2
  1.042  MATH         @Chan = 2
  1.043  CALL         Sub TBS1000B/1000B-EDU (1 yr) BW VISA /9100+Opt250
  1.044  JMPL         TRIG_CH2

  1.045  LABEL        TRIG_CH1
  1.046  MATH         @Chan = 1
  1.047  CALL         Sub TBS1000B/1000B-EDU (1 yr) Trig VISA /9100+Opt250
  1.048  JMPL         SAMPLE_RATE_DELAY_TIME

  1.049  LABEL        TRIG_CH2
  1.050  MATH         @Chan = 2
  1.051  CALL         Sub TBS1000B/1000B-EDU (1 yr) Trig VISA /9100+Opt250

  1.052  MATH         @Chan = 1
  1.053  CALL         Sub TBS1000B/1000B-EDU (1 yr) ExTrig VISA /9100+Opt250

  1.054  MATH         @Chan = 2
  1.055  CALL         Sub TBS1000B/1000B-EDU (1 yr) ExTrig VISA /9100+Opt250
  1.056  JMPL         VERTICAL_POSITION

  1.057  LABEL        SAMPLE_RATE_DELAY_TIME
  1.058  MATH         @Chan = 1
  1.059  CALL         Sub TBS1000B/1000B-EDU (1 yr) Samp Rt VISA /9100+Opt250
  1.060  JMPL         BANDWIDTH_CH2

  1.061  LABEL        VERTICAL_POSITION
  1.062  MATH         @Chan = 1
  1.063  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Vert Pos VISA /9100

  1.064  MATH         @Chan = 2
  1.065  CALL         Sub Tek TBS1000B/1000B-EDU (1 yr) Vert Pos VISA /9100

  1.066  LABEL        END

  1.067  IF           @Abort
  1.068  HEAD         {V E R I F I C A T I O N   A B O R T E D !}
  1.069  ENDIF

  1.070  VISA         *RST
  1.071  END
